Bug 475988 - Firefox doesn't close push-streams
Firefox doesn't close push-streams
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: firefox (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Denise Dumas
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2008-12-11 08:32 EST by Yulia Kopkova
Modified: 2017-04-04 16:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-04-04 16:44:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Yulia Kopkova 2008-12-11 08:32:23 EST
Description of problem:
After closing tab with previously opened push-stream (web-camera's interface) Firefox continues to receive data from it.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Create 2 tabs
2.Open URL to any web-camera which pushes new frames to the stream
3.Close this tab (other blank tab should exist)
Actual results:
Firefox continues to consume traffic silently.

Expected results:
Closed connection, no traffic from closed tab.

Additional info:
Comment 1 Matěj Cepl 2008-12-15 10:09:00 EST
Reporter, which web camera it is? What's the software which pushes the content to firefox?
Comment 3 Matěj Cepl 2008-12-15 11:41:15 EST
I can reproduce with given URL and ntop, but the strange thing is that apparently there is pretty strong UPLOAD of data to the camera. I would expect download instead.
Comment 7 Chris Williams 2017-04-04 16:44:37 EDT
Red Hat Enterprise Linux 5 shipped it's last minor release, 5.11, on September 14th, 2014. On March 31st, 2017 RHEL 5 exits Production Phase 3 and enters Extended Life Phase. For RHEL releases in the Extended Life Phase, Red Hat  will provide limited ongoing technical support. No bug fixes, security fixes, hardware enablement or root-cause analysis will be available during this phase, and support will be provided on existing installations only.  If the customer purchases the Extended Life-cycle Support (ELS), certain critical-impact security fixes and selected urgent priority bug fixes for the last minor release will be provided.  The specific support and services provided during each phase are described in detail at http://redhat.com/rhel/lifecycle

This BZ does not appear to meet ELS criteria so is being closed WONTFIX. If this BZ is critical for your environment and you have an Extended Life-cycle Support Add-on entitlement, please open a case in the Red Hat Customer Portal, https://access.redhat.com ,provide a thorough business justification and ask that the BZ be re-opened for consideration of an errata. Please note, only certain critical-impact security fixes and selected urgent priority bug fixes for the last minor release can be considered.

Note You need to log in before you can comment on or make changes to this bug.